NoSubscriptionServersAvailableException (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache

## Class NoSubscriptionServersAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.client.ServerConnectivityException
          - - org.apache.geode.cache.NoSubscriptionServersAvailableException

- All Implemented Interfaces:
    java.io.Serializable

      public class NoSubscriptionServersAvailableException
      extends ServerConnectivityException

  Indicates that this client cannot contact any servers and therefore cannot perform operations that require subscriptions, such as registering interest.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSubscriptionServersAvailableException()` Create a new instance of NoSubscriptionServersAvailableException without a detail message or cause.
    `NoSubscriptionServersAvailableException(java.lang.String message)` Create a new instance of NoSubscriptionServersAvailableException with a detail message
    `NoSubscriptionServersAvailableException(java.lang.String message, java.lang.Throwable cause)` Create a new instance of NoSubscriptionServersAvailableException with a detail message and cause
    `NoSubscriptionServersAvailableException(java.lang.Throwable cause)` Create a new instance of NoSubscriptionServersAvailableException with a cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSubscriptionServersAvailableException

          public NoSubscriptionServersAvailableException()

      Create a new instance of NoSubscriptionServersAvailableException without a detail message or cause.

    - #### NoSubscriptionServersAvailableException

          public NoSubscriptionServersAvailableException(java.lang.String message)

      Create a new instance of NoSubscriptionServersAvailableException with a detail message
      Parameters:
        `message` - the detail message

    - #### NoSubscriptionServersAvailableException

          public NoSubscriptionServersAvailableException(java.lang.String message,
                                                         java.lang.Throwable cause)

      Create a new instance of NoSubscriptionServersAvailableException with a detail message and cause
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### NoSubscriptionServersAvailableException

          public NoSubscriptionServersAvailableException(java.lang.Throwable cause)

      Create a new instance of NoSubscriptionServersAvailableException with a cause
      Parameters:
        `cause` - the cause